Subject: Re: [PATCH 2/4] doc: finalize git-clone documentation conversion to synopsis style

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 02 Feb 2026 09:36:08 +0100

On Sun, Feb 1, 2026, at 14:14, Jean-Noël AVILA wrote:
>>[snip]
>>
>> Doesn’t need to be done now in this series, but the “stuck form” of
>> `--origin=<name>` is recommended by gitcli(7) for long optoins. This doc
>> uses a mix of unstuck form (no `=`) and stuck form.
>>
>
> Is this something that is automatically available, i.e can we already convert
> and advise so to writers in all pages?
> For me, these synopsis series are a chance to push forward a larger range of
> reworks on formal formats such as this one.
>
>[snip]

I am not aware of any static analysis tool or helper.

I think I learned about in this combination with that gitcli(7) as well
as Junio writing about the preferred way to write options.

Thanks

Kristoffer